Removes an existing variation from an item. All associated variation values and combinations will also be removed.
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations/{variationId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations/{variationId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{itemId}/variations/{variationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"variationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Item
Removes an existing variation from an item. All associated variation values and combinations will also be removed.
Removes an existing variation from an item. All associated variation values and combinations will also be removed.
DELETE
/
v2
/
items
/
{itemId}
/
variations
/
{variationId}
Removes an existing variation from an item. All associated variation values and combinations will also be removed.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Variation was successfully removed from the item.
Removes an existing variation from an item. All associated variation values and combinations will also be removed. - Response
Unique ID of the deleted variation.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?